import { createStore } from 'vuex'

export const store = createStore({
  state () {
    return {
      //  菜单
      menuList: [],
      //  项目ID
      projectId: '301',
      //  项目名称
      projectName: '301中国人民解放军第一医院',
      //  字典-隐患来源
      sourceTypeList: [],
      //  字典-上报方式
      troubleTypeList: [],
      //  字典-隐患状态
      troubleStateList: [],
      //  字典-处理方式
      handleTypeList: [],
      //  字典-工单状态
      orderStateList: [],
      //  字典-汇报状态
      closeTypeList: [],
      //  字典-语音识别状态
      voiceStateList: [],
      //  字典-处理进度
      processStateList: [],
      //  字典-操作类型
      logStateList: [],
      //  字典-项目
      projectList: [
        { label: '301中国人民解放军第一医院', code: '301' }
      ],
      //  字典-批次
      batchNameList: [],
      //  字典-医废状态
      packStateList: [],
      //  字典-医废批次状态
      batchStateList: [],
      //  字典-异常类型
      abnormalCategoryList: [],
      //  字典-验收异常
      abnormalTypeList: [],
      //  字典-异常状态
      finishStateList: [],
      //  字典-医废类型
      rubbishCategoryList: [],
      //  字典-运送线路
      pathStateList: [],
      //  字典-点位类型
      pointTypeList: [],
      //  字典-岗位类型
      categoryTypeList: []
    }
  }
})
