import request from 'utils/request'

/** *** 字典 *****/

//  字典--获取通用字典值
export function getCurrencyDictionary (object) {
  return request({
    url: '/device/dictDetail/getLabelByCode',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  字典--获取楼栋/楼层字典值
export function getBuildingDictionary (object) {
  return request({
    url: '/hospital/rubbishSetting/queryBuildingList',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  字典--获取楼栋字典值
export function getPositionDictionary (object) {
  return request({
    url: '/hospital/rubbish/category/getOfficeBoxInfo',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  字典--获取点位字典值
export function getPointDictionary (object) {
  return request({
    url: '/hospital/rubbishSetting/queryPositionList',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  字典--获取人员字典值
export function getPersonDictionary (object) {
  return request({
    url: '/hospital/rubbishSetting/queryUsersList',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
//  字典--获取全部人员字典值
export function getUserDictionary (object) {
  return request({
    url: '/hospital/user/getUserByCompanyId',
    method: 'get',
    params: object,
    type: 'JSON'
  })
}
